VLCKit

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Instance Methods | List of all members
VLCExtension Class Reference

`#import <VLCExtension.h>`

Inheritance diagram for VLCExtension:

## Instance Methods
(instancetype) | - initWithInstance:
(struct extension_t *instance) | - __attribute__
(NSString *name) | - __attribute__
(NSString *title) | - __attribute__

## Detailed Description

wrapper class for lua extensions within VLCKit

## Method Documentation

- (struct extension_t* instance) __attribute__ |  | ((deprecated)) |  |

the extension instance used to init the wrapper with

Deprecated:
  will be removed in the next release

- (NSString* name) __attribute__ |  | ((deprecated)) |  |

technical name of the extension

Deprecated:
  will be removed in the next release

- (NSString* title) __attribute__ |  | ((deprecated)) |  |

user-visible name of the extension

Deprecated:
  will be removed in the next release

- (instancetype) initWithInstance: |  | ((deprecated)) | __attribute__ |

initializer for wrapper class

Parameters

  instance | the extension_t instance to init the wrapper with

Deprecated:
  will be removed in the next release

The documentation for this class was generated from the following file:

- Headers/Public/VLCExtension.h